<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbAppSetting" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<ExtraConfig>
				<Title>HNZ Gaming Light Control</Title>
				<MainUI>
					<!--Category>
						<Panel Init="1">GM::BasicUI</Panel>
						<Panel>GM::AdvancedUI</Panel>
						<Panel>GM::LightingUI</Panel>					
						<Panel>GM::MacroUI</Panel>
					</Category>
					<Category>
						<Panel>GK::CustomizeUI</Panel>
						<Panel>GK::LightingUI</Panel>
						<Panel>GK::GamingModeUI</Panel>
						<Panel>GK::MacroUI</Panel>
					</Category-->
					<Category>
						<Panel>GL::LightingUI</Panel>						
					</Category>
				</MainUI>
				<LEDSyncDelayTime>600</LEDSyncDelayTime>
				<CategoryPos0 X="15" Y="230"/>
				<CategoryPos1 X="15" Y="320"/>
				<CategoryPos2 X="15" Y="400"/>
				<SingleDevicePos X="15" Y="270"/>
				<SupportSyncLEDMode>
					<Item>BreathingMode</Item>
					<Item>SpectrumCyclingMode</Item>
					<Item>StaticMode</Item>
				</SupportSyncLEDMode>
				<SupportCategory>7</SupportCategory> <!--0x01: only support mouse, 0x02: only support keyboard, 0x04: only support light control, 0xFF: support all (so far, mouse and keyboard), use bit OR operation-->
				<SupportLEDSimulator>1</SupportLEDSimulator>
				<MinimizeMode>1</MinimizeMode>
				<TemperatureFormat>%.02f °C</TemperatureFormat>
				<FFTColor>
					<LightColor Color="#0000FF" Weights="8"/>
					<LightColor Color="#0E00FF" Weights="7"/>
					<LightColor Color="#1C00FF" Weights="4"/>
					<LightColor Color="#2A00FF" Weights="4"/>
					<LightColor Color="#3800FF" Weights="4"/>
					<LightColor Color="#4600FF" Weights="4"/>
					<LightColor Color="#5400FF" Weights="4"/>
					<LightColor Color="#6200FF" Weights="4"/>
					<LightColor Color="#7000FF" Weights="2"/>
					<LightColor Color="#7E00FF" Weights="2"/>
					<LightColor Color="#8C00FF" Weights="2"/>
					<LightColor Color="#9A00FF" Weights="2"/>
					<LightColor Color="#A800FF" Weights="2"/>
					<LightColor Color="#B600FF" Weights="2"/>
					<LightColor Color="#C400FF" Weights="2"/>
										
					<LightColor Color="#D200FF" Weights="2"/>
					<LightColor Color="#E000FF" Weights="2"/>
					<LightColor Color="#EE00FF" Weights="2"/>
					<LightColor Color="#FC00FF" Weights="2"/>
					<LightColor Color="#FF00FF" Weights="1"/>
					<LightColor Color="#FF00FF" Weights="1"/>
					<LightColor Color="#FF00FC" Weights="1"/>
					<LightColor Color="#FF00EE" Weights="1"/>
					<LightColor Color="#FF00E0" Weights="1"/>
					<LightColor Color="#FF00D2" Weights="1"/>
					<LightColor Color="#FF00C4" Weights="1"/>
					<LightColor Color="#FF00B6" Weights="1"/>
					<LightColor Color="#FF00A8" Weights="1"/>
					<LightColor Color="#FF009A" Weights="1"/>
					<LightColor Color="#FF008C" Weights="1"/>
					
					<LightColor Color="#FF007E" Weights="1"/>
					<LightColor Color="#FF0070" Weights="1"/>
					<LightColor Color="#FF0062" Weights="1"/>
					<LightColor Color="#FF0054" Weights="1"/>
					<LightColor Color="#FF0046" Weights="1"/>
					<LightColor Color="#FF0038" Weights="1"/>
					<LightColor Color="#FF002A" Weights="1"/>
					<LightColor Color="#FF001C" Weights="1"/>
					<LightColor Color="#FF000E" Weights="1"/>
					<LightColor Color="#FF0000" Weights="1"/>
					<LightColor Color="#FF0000" Weights="1"/>
					<LightColor Color="#FF0E00" Weights="1"/>
					<LightColor Color="#FF1C00" Weights="1"/>
					<LightColor Color="#FF2A00" Weights="1"/>
					<LightColor Color="#FF3800" Weights="1"/>
					
					<LightColor Color="#FF4600" Weights="1"/>
					<LightColor Color="#FF5400" Weights="1"/>
					<LightColor Color="#FF6200" Weights="1"/>
					<LightColor Color="#FF7000" Weights="1"/>
					<LightColor Color="#FF7E00" Weights="1"/>
					<LightColor Color="#FF8C00" Weights="1"/>
					<LightColor Color="#FF9A00" Weights="1"/>
					<LightColor Color="#FFA800" Weights="1"/>
					<LightColor Color="#FFB600" Weights="1"/>
					<LightColor Color="#FFC400" Weights="1"/>
					<LightColor Color="#FFD200" Weights="1"/>
					<LightColor Color="#FFE000" Weights="1"/>
					<LightColor Color="#FFEE00" Weights="1"/>
					<LightColor Color="#FFFC00" Weights="1"/>
					<LightColor Color="#FFFF00" Weights="1"/>			
				</FFTColor>
				<FFTSetting>					
					<MagnitudeRemapping OriValue="0.3" RemappingValue="0.4"/>
					<MagnitudeRemapping OriValue="0.5" RemappingValue="0.6"/>
					<MagnitudeRemapping OriValue="0.7" RemappingValue="0.9"/>
					<MagnitudeRemapping OriValue="1" RemappingValue="1"/>
				</FFTSetting>				
				<FFTWindowInfo StartX="35" StartY="200" XScaleRate="12" Height="200"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxPrompter" Enable="1">
		<Plugin ID="GF::Message_zh-TW" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_zh-TW"/>
		</Plugin>
		<Plugin ID="GF::Message_zh-CN" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_zh-CN"/>
		</Plugin>
		<Plugin ID="GF::Message_en-US" Bundle="MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::Message_en-US"/>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbMessageProvider" Enable="1">
		<Plugin ID="GF::Message_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::Message_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\Message_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UIText_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		
		<Plugin ID="GF::UITooltip_zh-TW" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_zh-CN" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GF::UITooltip_en-US" Bundle="MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxProvider" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GF::Message_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<ExtraConfig>
				<Prefix>GF::Message_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UIText_en-US"/>
			<ExtraConfig>
				<Prefix>GF::UIText_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingForceTooltip" Bundle="GamingForceMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GF::UITooltip_en-US"/>
			<ExtraConfig>
				<Prefix>GF::UITooltip_</Prefix>
				<Language>zh-TW</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbGamingForceLEDSyncer" Enable="1">
		<Plugin ID="GamingForce" Bundle="GamingForceLEDSyncer.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GL::I_PbUserProfileFacade" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="GL::I_PbGamingLightControlWriter" PluginID="GamingLightControl"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>			
		</Plugin>
	</ExtensionPoint>

	<NextPluginFile>CWT.xml</NextPluginFile>
	<NextPluginFile>Skin.xml</NextPluginFile>
	<!--NextPluginFile>GK\Entry.xml</NextPluginFile>
	<NextPluginFile>GM\Entry.xml</NextPluginFile-->
	<NextPluginFile>GL\Entry.xml</NextPluginFile>

</File>
